# MPI_Session_fromint

converts an integer handle to MPI_Session

## Synopsis

    MPI_Session MPI_Session_fromint(int session)

## Input Parameters

session
  session (integer)

## Thread and Interrupt Safety

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as `malloc` or other non-MPICH runtime routines that are themselves not interrupt-safe.